#include "GesamtSpielerStatistik.h"

// Inhalt der GesamtSpielerStatistik Klasse aus GesamtSpielerStatistik.h
// Konstruktor
GesamtSpielerStatistik::GesamtSpielerStatistik()
	: ReferenceCounter()
{
	spielerNummer = 0;
	spielerName = new Text();
	teamName = new Text();
	spielerFarbe = 0;
	teamFarbe = 0;
	gewonneneRunden = 0;
	punkte = 0;
	linienLength = 0;
	zeitAmLeben = 0;
	zeitTod = 0;
	kills = 0;
	tode = 0;
}

// Destruktor
GesamtSpielerStatistik::~GesamtSpielerStatistik()
{
	spielerName->release();
	teamName->release();
}

// nicht constant
void GesamtSpielerStatistik::initValues(InitDatei* dat)
{
	if (dat->wertExistiert("SpielerNummer"))
		spielerNummer = (int)*dat->zWert("SpielerNummer");
	if (dat->wertExistiert("SpielerName"))
		*spielerName = dat->zWert("SpielerName")->getText();
	if (dat->wertExistiert("TeamName"))
		*teamName = dat->zWert("TeamName")->getText();
	if (dat->wertExistiert("SpielerFarbe"))
		spielerFarbe = (int)*dat->zWert("SpielerFarbe");
	if (dat->wertExistiert("TeamFarbe"))
		teamFarbe = (int)*dat->zWert("TeamFarbe");
	if (dat->wertExistiert("GewonneneRunden"))
		gewonneneRunden = (int)*dat->zWert("GewonneneRunden");
	if (dat->wertExistiert("Punkte"))
		punkte = (int)*dat->zWert("Punkte");
	if (dat->wertExistiert("LinienLnge"))
		linienLength = (int)*dat->zWert("LinienLnge");
	if (dat->wertExistiert("ZeitAmLeben"))
		zeitAmLeben = (int)*dat->zWert("ZeitAmLeben");
	if (dat->wertExistiert("ZeitTod"))
		zeitTod = (int)*dat->zWert("ZeitTod");
	if (dat->wertExistiert("Kills"))
		kills = (int)*dat->zWert("Kills");
	if (dat->wertExistiert("Tode"))
		tode = (int)*dat->zWert("Tode");
	dat->release();
}

// constant
int GesamtSpielerStatistik::getSpielerNummer() const
{
	return spielerNummer;
}

Text* GesamtSpielerStatistik::getSpielerName() const
{
	return spielerName ? dynamic_cast<Text*>(spielerName->getThis()) : 0;
}

Text* GesamtSpielerStatistik::zSpielerName() const
{
	return spielerName;
}

Text* GesamtSpielerStatistik::getTeamName() const
{
	return teamName ? dynamic_cast<Text*>(teamName->getThis()) : 0;
}

Text* GesamtSpielerStatistik::zTeamName() const
{
	return teamName;
}

int GesamtSpielerStatistik::getSpielerFarbe() const
{
	return spielerFarbe;
}

int GesamtSpielerStatistik::getTeamFarbe() const
{
	return teamFarbe;
}

int GesamtSpielerStatistik::getGewonneneRunden() const
{
	return gewonneneRunden;
}

int GesamtSpielerStatistik::getPunkte() const
{
	return punkte;
}

int GesamtSpielerStatistik::getLinienLength() const
{
	return linienLength;
}

int GesamtSpielerStatistik::getZeitAmLeben() const
{
	return zeitAmLeben;
}

int GesamtSpielerStatistik::getZeitTod() const
{
	return zeitTod;
}

int GesamtSpielerStatistik::getKills() const
{
	return kills;
}

int GesamtSpielerStatistik::getTode() const
{
	return tode;
}