#include "RundenTeamStatistik.h"

// Inhalt der RundenTeamStatistik Klasse aus RundenTeamStatistik.h
// Konstruktor
RundenTeamStatistik::RundenTeamStatistik()
	: ReferenceCounter()
{
	teamNummer = 0;
	teamName = new Text();
	teamFarbe = 0;
	ergebnis = 0;
	linienLength = 0;
	kills = 0;
	tode = 0;
}

// Destruktor
RundenTeamStatistik::~RundenTeamStatistik()
{
	teamName->release();
}

// nicht constant
void RundenTeamStatistik::initValues(InitDatei* dat)
{
	if (dat->wertExistiert("TeamNummer"))
		teamNummer = (int)*dat->zWert("TeamNummer");
	if (dat->wertExistiert("TeamName"))
		*teamName = dat->zWert("TeamName")->getText();
	if (dat->wertExistiert("TeamFarbe"))
		teamFarbe = (int)*dat->zWert("TeamFarbe");
	if (dat->wertExistiert("Ergebnis"))
		ergebnis = (int)*dat->zWert("Ergebnis");
	if (dat->wertExistiert("LinienLnge"))
		linienLength = (int)*dat->zWert("LinienLnge");
	if (dat->wertExistiert("Kills"))
		kills = (int)*dat->zWert("Kills");
	if (dat->wertExistiert("Tode"))
		tode = (int)*dat->zWert("Tode");
	dat->release();
}

// constant
int RundenTeamStatistik::getTeamNummer() const
{
	return teamNummer;
}

Text* RundenTeamStatistik::getTeamName() const
{
	return teamName ? dynamic_cast<Text*>(teamName->getThis()) : 0;
}

Text* RundenTeamStatistik::zTeamName() const
{
	return teamName;
}

int RundenTeamStatistik::getTeamFarbe() const
{
	return teamFarbe;
}

int RundenTeamStatistik::getErgebnis() const
{
	return ergebnis;
}

int RundenTeamStatistik::getLinienLength() const
{
	return linienLength;
}

int RundenTeamStatistik::getKills() const
{
	return kills;
}

int RundenTeamStatistik::getTode() const
{
	return tode;
}